package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 对象 gtgs_zx
 *
 * @author ruoyi
 * @date 2020-05-14
 */
public class GtgsZx extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

    /**
     * 统一社会信用代码
     */
    @Excel(name = "统一社会信用代码")
    private String uniformSocialCreditCode;

    /**
     * 清税号
     */
    @Excel(name = "清税号")
    private String clearTaxNumber;

    /**
     * 清税证明文号
     */
    @Excel(name = "清税证明文号")
    private String clearTaxProve;

    /**
     * 单位名称
     */
    @Excel(name = "单位名称")
    private String companyName;

    /**
     * 注册号
     */
    @Excel(name = "注册号")
    private String registrationNumber;

    /**
     * 经营者
     */
    @Excel(name = "经营者")
    private String operatorName;

    /**
     * 经营者身份证号
     */
    @Excel(name = "经营者身份证号")
    private String operatorIdCard;

    /**
     * 经营者身份证正面
     */
    @Excel(name = "经营者身份证正面")
    private String operatorIdCardFront;

    /**
     * 经营者身份证反面
     */
    @Excel(name = "经营者身份证反面")
    private String operatorIdCardBack;

    /**
     * 经营者身份证头像
     */
    @Excel(name = "经营者身份证头像")
    private String operatorIdCardAvatar;

    /**
     * 经营者签名
     */
    @Excel(name = "经营者签名")
    private String operatorSignature;

    /**
     * 填写人拍照
     */
    @Excel(name = "填写人拍照")
    private String operatorPhoto;

    /**
     * 经营者手机号
     */
    @Excel(name = "经营者手机号")
    private String operatorPhone;

    /**
     * 经营者住所地址
     */
    @Excel(name = "经营者住所地址")
    private String operatorAddress;

    /**
     * 经营者邮编
     */
    @Excel(name = "经营者邮编")
    private String operatorZipCode;

    /**
     * 组成形式
     */
    @Excel(name = "组成形式")
    private String organizationType;

    /**
     * 注销原因
     */
    @Excel(name = "注销原因")
    private String cancellationReason;

    /**
     * 经营范围
     */
    @Excel(name = "经营范围")
    private String businessScope;

    /**
     * 代理人名称
     */
    @Excel(name = "代理人名称")
    private String agentName;

    /**
     * 代理人邮编
     */
    @Excel(name = "代理人邮编")
    private String agentZipCode;

    /**
     * 代理人手机号
     */
    @Excel(name = "代理人手机号")
    private String agentPhone;

    /**
     * 代理人地址
     */
    @Excel(name = "代理人地址")
    private String agentAddress;

    /**
     * 代理人身份证正面
     */
    @Excel(name = "代理人身份证正面")
    private String agentCardUp;

    /**
     * 代理人身份证反面
     */
    @Excel(name = "代理人身份证反面")
    private String agentCardDown;

    /**
     * 代理人身份证头像
     */
    @Excel(name = "代理人身份证头像")
    private String agentCardAvatar;

    /**
     * 代理人拍照
     */
    @Excel(name = "代理人拍照")
    private String agentPhoto;

    /**
     * 代理人签名
     */
    @Excel(name = "代理人签名")
    private String agentSignature;

    /**
     * 状态 0未审核 1审核中 2审核通过 3退回 4删除
     */
    @Excel(name = "状态 0未审核 1审核中 2审核通过 3退回 4删除")
    private String flag;

    /**
     * 营业执照丢失文件声明
     */
    @Excel(name = "营业执照丢失文件声明")
    private String businessLicenseProve;

    /**
     * y营业执照是否丢失
     */
    @Excel(name = "营业执照是否丢失")
    private String businessLicenseExist;

    /**
     * 申请来源
     */
    @Excel(name = "申请来源")
    private String applyForSource;

    /**
     * 主管税务机关
     */
    @Excel(name = "主管税务机关")
    private String taxAuthoritiesInCharge;

    /**
     * 准予注销登记通知书文号
     */
    @Excel(name = "准予注销登记通知书文号")
    private String documentNumber;

    /**
     * 核准日期
     */
    @Excel(name = "核准日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkTime;

    /**
     * 存档人
     */
    @Excel(name = "存档人")
    private String archiveBy;

    /**
     * 存档日期
     */
    @Excel(name = "存档日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date archiveTime;

    /**
     * 经营者认证对比分数
     */
    @Excel(name = "经营者认证对比分数")
    private String operatorAfrScore;

    /**
     * 代理人认证对比分数
     */
    @Excel(name = "代理人认证对比分数")
    private String agentAfrScore;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setUniformSocialCreditCode(String uniformSocialCreditCode) {
        this.uniformSocialCreditCode = uniformSocialCreditCode;
    }

    public String getUniformSocialCreditCode() {
        return uniformSocialCreditCode;
    }

    public void setClearTaxNumber(String clearTaxNumber) {
        this.clearTaxNumber = clearTaxNumber;
    }

    public String getClearTaxNumber() {
        return clearTaxNumber;
    }

    public void setClearTaxProve(String clearTaxProve) {
        this.clearTaxProve = clearTaxProve;
    }

    public String getClearTaxProve() {
        return clearTaxProve;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setRegistrationNumber(String registrationNumber) {
        this.registrationNumber = registrationNumber;
    }

    public String getRegistrationNumber() {
        return registrationNumber;
    }

    public void setOperatorName(String operatorName) {
        this.operatorName = operatorName;
    }

    public String getOperatorName() {
        return operatorName;
    }

    public void setOperatorIdCard(String operatorIdCard) {
        this.operatorIdCard = operatorIdCard;
    }

    public String getOperatorIdCard() {
        return operatorIdCard;
    }

    public void setOperatorIdCardFront(String operatorIdCardFront) {
        this.operatorIdCardFront = operatorIdCardFront;
    }

    public String getOperatorIdCardFront() {
        return operatorIdCardFront;
    }

    public void setOperatorIdCardBack(String operatorIdCardBack) {
        this.operatorIdCardBack = operatorIdCardBack;
    }

    public String getOperatorIdCardBack() {
        return operatorIdCardBack;
    }

    public void setOperatorIdCardAvatar(String operatorIdCardAvatar) {
        this.operatorIdCardAvatar = operatorIdCardAvatar;
    }

    public String getOperatorIdCardAvatar() {
        return operatorIdCardAvatar;
    }

    public void setOperatorSignature(String operatorSignature) {
        this.operatorSignature = operatorSignature;
    }

    public String getOperatorSignature() {
        return operatorSignature;
    }

    public void setOperatorPhoto(String operatorPhoto) {
        this.operatorPhoto = operatorPhoto;
    }

    public String getOperatorPhoto() {
        return operatorPhoto;
    }

    public void setOperatorPhone(String operatorPhone) {
        this.operatorPhone = operatorPhone;
    }

    public String getOperatorPhone() {
        return operatorPhone;
    }

    public void setOperatorAddress(String operatorAddress) {
        this.operatorAddress = operatorAddress;
    }

    public String getOperatorAddress() {
        return operatorAddress;
    }

    public void setOperatorZipCode(String operatorZipCode) {
        this.operatorZipCode = operatorZipCode;
    }

    public String getOperatorZipCode() {
        return operatorZipCode;
    }

    public void setOrganizationType(String organizationType) {
        this.organizationType = organizationType;
    }

    public String getOrganizationType() {
        return organizationType;
    }

    public void setCancellationReason(String cancellationReason) {
        this.cancellationReason = cancellationReason;
    }

    public String getCancellationReason() {
        return cancellationReason;
    }

    public void setBusinessScope(String businessScope) {
        this.businessScope = businessScope;
    }

    public String getBusinessScope() {
        return businessScope;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentZipCode(String agentZipCode) {
        this.agentZipCode = agentZipCode;
    }

    public String getAgentZipCode() {
        return agentZipCode;
    }

    public void setAgentPhone(String agentPhone) {
        this.agentPhone = agentPhone;
    }

    public String getAgentPhone() {
        return agentPhone;
    }

    public void setAgentAddress(String agentAddress) {
        this.agentAddress = agentAddress;
    }

    public String getAgentAddress() {
        return agentAddress;
    }

    public void setAgentCardUp(String agentCardUp) {
        this.agentCardUp = agentCardUp;
    }

    public String getAgentCardUp() {
        return agentCardUp;
    }

    public void setAgentCardDown(String agentCardDown) {
        this.agentCardDown = agentCardDown;
    }

    public String getAgentCardDown() {
        return agentCardDown;
    }

    public void setAgentCardAvatar(String agentCardAvatar) {
        this.agentCardAvatar = agentCardAvatar;
    }

    public String getAgentCardAvatar() {
        return agentCardAvatar;
    }

    public void setAgentPhoto(String agentPhoto) {
        this.agentPhoto = agentPhoto;
    }

    public String getAgentPhoto() {
        return agentPhoto;
    }

    public void setAgentSignature(String agentSignature) {
        this.agentSignature = agentSignature;
    }

    public String getAgentSignature() {
        return agentSignature;
    }

    public void setFlag(String flag) {
        this.flag = flag;
    }

    public String getFlag() {
        return flag;
    }

    public void setBusinessLicenseProve(String businessLicenseProve) {
        this.businessLicenseProve = businessLicenseProve;
    }

    public String getBusinessLicenseProve() {
        return businessLicenseProve;
    }

    public void setBusinessLicenseExist(String businessLicenseExist) {
        this.businessLicenseExist = businessLicenseExist;
    }

    public String getBusinessLicenseExist() {
        return businessLicenseExist;
    }

    public void setApplyForSource(String applyForSource) {
        this.applyForSource = applyForSource;
    }

    public String getApplyForSource() {
        return applyForSource;
    }

    public void setTaxAuthoritiesInCharge(String taxAuthoritiesInCharge) {
        this.taxAuthoritiesInCharge = taxAuthoritiesInCharge;
    }

    public String getTaxAuthoritiesInCharge() {
        return taxAuthoritiesInCharge;
    }

    public void setDocumentNumber(String documentNumber) {
        this.documentNumber = documentNumber;
    }

    public String getDocumentNumber() {
        return documentNumber;
    }

    public void setCheckTime(Date checkTime) {
        this.checkTime = checkTime;
    }

    public Date getCheckTime() {
        return checkTime;
    }

    public void setArchiveBy(String archiveBy) {
        this.archiveBy = archiveBy;
    }

    public String getArchiveBy() {
        return archiveBy;
    }

    public void setArchiveTime(Date archiveTime) {
        this.archiveTime = archiveTime;
    }

    public Date getArchiveTime() {
        return archiveTime;
    }

    public void setOperatorAfrScore(String operatorAfrScore) {
        this.operatorAfrScore = operatorAfrScore;
    }

    public String getOperatorAfrScore() {
        return operatorAfrScore;
    }

    public void setAgentAfrScore(String agentAfrScore) {
        this.agentAfrScore = agentAfrScore;
    }

    public String getAgentAfrScore() {
        return agentAfrScore;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("uniformSocialCreditCode", getUniformSocialCreditCode())
                .append("clearTaxNumber", getClearTaxNumber())
                .append("clearTaxProve", getClearTaxProve())
                .append("companyName", getCompanyName())
                .append("registrationNumber", getRegistrationNumber())
                .append("operatorName", getOperatorName())
                .append("operatorIdCard", getOperatorIdCard())
                .append("operatorIdCardFront", getOperatorIdCardFront())
                .append("operatorIdCardBack", getOperatorIdCardBack())
                .append("operatorIdCardAvatar", getOperatorIdCardAvatar())
                .append("operatorSignature", getOperatorSignature())
                .append("operatorPhoto", getOperatorPhoto())
                .append("operatorPhone", getOperatorPhone())
                .append("operatorAddress", getOperatorAddress())
                .append("operatorZipCode", getOperatorZipCode())
                .append("organizationType", getOrganizationType())
                .append("cancellationReason", getCancellationReason())
                .append("businessScope", getBusinessScope())
                .append("agentName", getAgentName())
                .append("agentZipCode", getAgentZipCode())
                .append("agentPhone", getAgentPhone())
                .append("agentAddress", getAgentAddress())
                .append("agentCardUp", getAgentCardUp())
                .append("agentCardDown", getAgentCardDown())
                .append("agentCardAvatar", getAgentCardAvatar())
                .append("agentPhoto", getAgentPhoto())
                .append("agentSignature", getAgentSignature())
                .append("flag", getFlag())
                .append("businessLicenseProve", getBusinessLicenseProve())
                .append("businessLicenseExist", getBusinessLicenseExist())
                .append("applyForSource", getApplyForSource())
                .append("taxAuthoritiesInCharge", getTaxAuthoritiesInCharge())
                .append("documentNumber", getDocumentNumber())
                .append("checkTime", getCheckTime())
                .append("archiveBy", getArchiveBy())
                .append("archiveTime", getArchiveTime())
                .append("operatorAfrScore", getOperatorAfrScore())
                .append("agentAfrScore", getAgentAfrScore())
                .append("createTime", getCreateTime())
                .toString();
    }
}
